Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.compaction
Class CompactionInfo

    java.lang.Object
      org.apache.cassandra.db.compaction.CompactionInfo

All Implemented Interfaces:
  java.io.Serializable

    public final class CompactionInfo

extends java.lang.Object
implements java.io.Serializable

Implements serializable to allow structured info to be returned via JMX.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `CompactionInfo.Holder`

Constructor Summary
`CompactionInfo(CFMetaData cfm, OperationType tasktype, long bytesComplete, long totalBytes)`

Method Summary
`java.util.Map<java.lang.String,java.lang.String>` | `asMap()`
`CompactionInfo` | `forProgress(long bytesComplete, long totalBytes)`
`long` | `getBytesComplete()`
`CFMetaData` | `getCFMetaData()`
`java.lang.String` | `getColumnFamily()`
`java.lang.Integer` | `getId()`
`java.lang.String` | `getKeyspace()`
`OperationType` | `getTaskType()`
`long` | `getTotalBytes()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompactionInfo

    public CompactionInfo(CFMetaData cfm,
                          OperationType tasktype,
                          long bytesComplete,
                          long totalBytes)

Method Detail

### forProgress

    public CompactionInfo forProgress(long bytesComplete,
                                      long totalBytes)

  Returns:
    A copy of this CompactionInfo with updated progress.

### getId

    public java.lang.Integer getId()

### getKeyspace

    public java.lang.String getKeyspace()

### getColumnFamily

    public java.lang.String getColumnFamily()

### getCFMetaData

    public CFMetaData getCFMetaData()

### getBytesComplete

    public long getBytesComplete()

### getTotalBytes

    public long getTotalBytes()

### getTaskType

    public OperationType getTaskType()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### asMap

    public java.util.Map<java.lang.String,java.lang.String> asMap()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation